export const makeCheckPathTool = (url: string, prefix?: string) => {
  const { pathname } = new URL(url)
  const makePath = (path: string) => `${prefix || ""}${path}`
  return {
    // 精确匹配
    exactCheck: (path: string) => {
      return pathname === makePath(path)
    },
    // 前缀匹配
    startsWithCheck: (path: string) => pathname.startsWith(makePath(path)),
  }
}
